%define lname   osmgpsmap

%define major   0
%define api     1.0
%define gir_major       1.0
%define libname %mklibname %{lname} %{api} %{major}
%define devname %mklibname %{lname} %{api} -d
%define gir_name %mklibname %{lname}-gir %{gir_major}

Name:           osm-gps-map
Version:        1.0.1
Release:        %mkrel 5
Summary:        Gtk+ widget for displaying OpenStreetMap tiles
Group:          System/Libraries
License:        GPLv2
URL:            http://nzjrs.github.com/osm-gps-map/
# Currently source only available via github
#Source0:        http://www.johnstowers.co.nz/files/%{name}/%{name}-%{version}.tar.gz
Source0:        https://github.com/nzjrs/osm-gps-map/archive/%{version}.tar.gz
Patch0:         osm-gps-map-1.0.0-linkage.patch
BuildRequires:	pkgconfig(cairo) >= 1.8
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  gtk-doc
BuildRequires:  gnome-common

%description
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{gir_name}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{_lib}%{name}1.0-gir1.0 < 1.29.3-4
Obsoletes:	%{_lib}osmgpsmap-1.0-gir1.0 < 1.0.0-4

%description -n %{gir_name}
GObject Introspection interface description for %{name}.

%package -n %{libname}
Summary:    Gtk+ widget for displaying OpenStreetMap tiles
Group:      System/Libraries
Obsoletes:  %{_lib}osmgpsmap-1.00 < 1.0.0-4

%description -n %{libname}
A Gtk+ widget that when given GPS co-ordinates, draws a GPS track, and
points of interest on a moving map display. Downloads map data from a
number of websites, including openstreetmap.org.

%package -n %{devname}
Summary:        Development files for the %{name} Gtk+ widget
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{lname}1.0-devel = %{version}-%{release}
Obsoletes:      %{_lib}osmgpsmap-1.0-devel < 1.0.0-4

%description -n %{devname}
The development files for the %{name} Gtk+ widget.

%prep
%setup -q
%apply_patches

%build
[[ -f configure ]] || NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
    --disable-static \
    --enable-introspection
%make V=1

%install
%makeinstall_std

#handle docs inf files section
rm -rf %{buildroot}/usr/doc/osm-gps-map

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%doc AUTHORS README NEWS
%{_libdir}/lib%{lname}-%{api}.so.%{major}*

%files -n %{devname}
#doc %{_datadir}/gtk-doc/html/lib%{lname}
%{_includedir}/%{lname}-%{api}
%{_libdir}/lib%{lname}-%{api}.so
%{_libdir}/pkgconfig/%{lname}-%{api}.pc

%files -n %{gir_name}
%{_libdir}/girepository-1.0/*-%{gir_major}.typelib
%{_datadir}/gir-1.0/*-%{gir_major}.gir


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-5.mga4
+ Revision: 529108
- Mageia 4 Mass Rebuild

* Thu Jul 04 2013 wally <wally> 1.0.1-4.mga4
+ Revision: 450135
- fix devel pkg provides

* Thu Jul 04 2013 wally <wally> 1.0.1-3.mga4
+ Revision: 450122
- don't obsolete devel pkg of older 0.7.x osm-gps-map

* Thu Jul 04 2013 wally <wally> 1.0.1-2.mga4
+ Revision: 450118
- rename devel pkg as soon we have older osm-gps-map 0.7.x too

* Tue Jul 02 2013 wally <wally> 1.0.1-1.mga4
+ Revision: 449805
- new version 1.0.1
- drop upstreamed pkgconfig patch

  + fwang <fwang>
    - update br

* Fri Jun 28 2013 wally <wally> 1.0.0-5.mga4
+ Revision: 448055
- clean linking patch
- add patch to fix pkgconfig .pc file

* Fri Jun 28 2013 wally <wally> 1.0.0-4.mga4
+ Revision: 448043
- fix pkg names

* Fri Jun 28 2013 tv <tv> 1.0.0-3.mga4
+ Revision: 447709
- really obsoletes libosmgpsmap-devel

* Fri Jun 28 2013 tv <tv> 1.0.0-2.mga4
+ Revision: 447695
- obsoletes libosmgpsmap-devel

* Thu Jun 27 2013 guillomovitch <guillomovitch> 1.0.0-1.mga4
+ Revision: 447629
- new version

* Tue May 28 2013 tv <tv> 0.7.99.20130528-0.1.mga4
+ Revision: 429543
- BR gtk+-3 instead of 2
- BR gnome-common
- new snapshot for gramps

* Fri May 24 2013 tv <tv> 0.7.3-3.mga4
+ Revision: 426309
- enable introspection for gramps
- fix introspection

* Sun Jan 13 2013 umeabot <umeabot> 0.7.3-2.mga3
+ Revision: 362235
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 13 2011 wally <wally> 0.7.3-1.mga2
+ Revision: 142979
- imported package osm-gps-map

